function Item( isFolder, id, title, type, order, visible ) {
    var self = this;

    // Observable properties
    self.id			= ko.observable(id);
    self.title      = ko.observable(title);
    self.order      = ko.observable(order);
    self.isFolder 	= ko.computed(function() {
                       return isFolder ? 'icon icon-folder' : 'icon icon-file';
                      });
	self.type		= ko.computed(function() {
                       return isFolder ? 'directory' : type;
                      });
	self.url		= ko.computed(function() {
                       return isFolder ?  'index.php?option=com_jextranet&task=folder.edit&fd_id=' + id : 'index.php?option=com_jextranet&task=file.edit&f_id=' + id;
                      });
	self.visible	= ko.computed(function() {
                       return visible ? true : false;
                      });
}


function ItemVault( id, title, type, userID ) {
    var self = this;

    // Observable properties
    self.id			= ko.observable(id);
    self.title      = ko.observable(title);
    self.isFolder 	= ko.computed(function() {
                       return 'icon icon-file';
                      });
	self.type		= ko.computed(function() {
                       return type;
                      });
	self.url		= 'index.php?option=com_jextranet&task=userfiles.download&cid=' + self.id() + '&id=' + userID;
}
