<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

jimport('joomla.filesystem.file');

class JExtranetModelUserlogs extends JModelList
{
	protected	$option 		= 'COM_JEXTRANETLOGS';
	
	
	public function __construct($config = array()) {
		parent::__construct($config);
	}
	
	
	public function getLogs() 
	{	
		$id = JRequest::getVar('id', '', '', 'int');
		if (!empty($id)) 
		{
			$path = JPATH_COMPONENT_SITE . DIRECTORY_SEPARATOR . 'logs' . DIRECTORY_SEPARATOR . 'users' . DIRECTORY_SEPARATOR . $id.'.ini';

			if (JFile::exists($path)) 
			{
				$registry = file_get_contents($path);
				$logs = $registry ? (array) json_decode($registry) : array();
				return $logs;
			}
		}
	}

}
