<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

$listOrder	= $this->state->get('list.ordering');
$listDirn	= $this->state->get('list.direction');
?>

<form action="<?php echo JRoute::_('index.php?option=com_jextranet&view=alerts'); ?>" method="post" name="adminForm" id="adminForm">
	
	<div id="j-sidebar-container" class="span2">
		<?php echo $this->sidebar; ?>
	</div>

	<div id="j-main-container" class="span10">

		<div id="filter-bar" class="btn-toolbar">
			<div class="filter-search btn-group pull-left">
				<input type="text" name="filter_search" id="filter_search" placeholder="<?php echo JText::_('JSEARCH_FILTER_LABEL'); ?>" value="<?php echo $this->escape($this->state->get('filter.search')); ?>" title="" />
			</div>

			<div class="btn-group pull-left">
				<button class="btn tip" type="submit" title="<?php echo JText::_('JSEARCH_FILTER_SUBMIT'); ?>"><i class="icon-search"></i></button>
				<button class="btn tip" type="button" title="<?php echo JText::_('JSEARCH_FILTER_CLEAR'); ?>" onclick="document.id('filter_search').value='';this.form.submit();"><i class="icon-remove"></i></button>
			</div>
		</div>

		<div class="clr"> </div>
	
	<table class="table table-striped">
		<thead>
			<tr>
			
				<th width="1%">
					<input type="checkbox" name="toggle" value="" onclick="Joomla.checkAll(this)" />
				</th>

				<th width="50%">
					<?php echo JHtml::_('grid.sort', 'COM_JEXTRANET_NAME', 'a.a_name', $listDirn, $listOrder); ?>
				</th>
				
				<th width="25%">
					<?php echo JHtml::_('grid.sort', 'COM_JEXTRANET_SUBJECT', 'a.a_subject', $listDirn, $listOrder); ?>
				</th>
				
				<th width="19%">
					<?php echo JHtml::_('grid.sort', 'COM_JEXTRANET_CREATED', 'a.a_created', $listDirn, $listOrder); ?>
				</th>
				
				<th width="5%">
					<?php echo JHtml::_('grid.sort', 'COM_JEXTRANET_ID', 'a.a_id', $listDirn, $listOrder); ?>
				</th>
				
			</tr>
		</thead>

		<tbody>
		<?php foreach ($this->items as $i => $item) {
		?>
		<tr class="row<?php echo $i % 2; ?>">

			<td>
				<?php echo JHtml::_('grid.id', $i, $item->a_id); ?>
			</td>
			
			<td>
				<a href="index.php?option=com_jextranet&task=alert.edit&a_id=<?php echo $item->a_id;?>"><?php echo $this->escape($item->a_name);?></a>
			</td>
			
			<td>
				<?php echo $this->escape($item->a_subject);?>
			</td>
			
			<td>
				<?php echo $item->a_created;?>
			</td>
			
			<td>
				<?php echo $item->a_id; ?>
			</td>
			
		</tr>
		<?php } ?>
		</tbody>
				
		<tfoot>
			<tr>
				<td colspan="5">
					<?php echo $this->pagination->getListFooter(); ?>
				</td>
			</tr>
		</tfoot>
	</table>

	</div>
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>" />
		<input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>" />
		<?php echo JHtml::_('form.token'); ?>
</form>
