<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

JHtml::_('behavior.tooltip');
$user		= JFactory::getUser();
$canChange	= $user->authorise('core.edit.state','com_jextranet');
$criterias 	= array (
					JText::_('COM_JEXTRANET_STATISTICS_TOTAL_FILES_FOLDERS'),
					JText::_('COM_JEXTRANET_STATISTICS_TOTAL_FILES_PUBLISHED'),
					JText::_('COM_JEXTRANET_STATISTICS_TOTAL_FILES_UNPUBLISHED'),
					JText::_('COM_JEXTRANET_STATISTICS_TOTAL_FILES_USER_FOLDERS'),
					JText::_('COM_JEXTRANET_STATISTICS_TOTAL_FOLDERS'),
					JText::_('COM_JEXTRANET_STATISTICS_TOTAL_GROUPS'),
					JText::_('COM_JEXTRANET_STATISTICS_TOTAL_MESSAGES'),
					'&nbsp-' . JText::_('COM_JEXTRANET_READ'),
					'&nbsp-' . JText::_('COM_JEXTRANET_UNREAD'),
					JText::_('COM_JEXTRANET_STATISTICS_FAVOURITE_FILE'),
					JText::_('COM_JEXTRANET_STATISTICS_FAVOURITE_FILETYPE'),
					);

$results	= array ($this->files,$this->published,($this->files - $this->published),$this->userfiles,$this->folders,$this->groups,($this->readm + $this->unreadm),$this->readm,$this->unreadm,$this->escape($this->f_file),$this->f_filetype);

?>

<form action="<?php echo JRoute::_('index.php?option=com_jextranet&view=statistics'); ?>" method="post" name="adminForm" id="adminForm">

	<div id="j-sidebar-container" class="span2">
		<?php echo $this->sidebar; ?>
	</div>

	<div id="j-main-container" class="span10">

		<table class="table table-striped">
			<thead>
				<tr>
					<th with="50%">
						<?php echo JText::_('COM_JEXTRANET_VARIABLE');?>
					</th>
					<th with="5%"></th>
					<th with="45%">
						<?php echo JText::_('COM_JEXTRANET_VALUE');?>
					</th>
				</tr>
			</thead>
			<tbody>
				<?php for ($i=0;$count=count($criterias),$i<$count;$i++) {?>
				<tr class="row<?php echo ($i%2);?>">
					<td>
						<?php echo $criterias[$i];?>
					</td>
					<td>
					</td>
					<td class="center">
						<?php echo $results[$i];?>
					</td>
				</tr>
				<?php } ?>
			</tbody>
			<tfoot>
			</tfoot>
		</table>

	</div>


		<input type="hidden" name="task" value="" />
		<input type="hidden" name="boxchecked" value="0" />
		<?php echo JHtml::_('form.token'); ?>
</form>
