<div id="vault_template"><div>
    <div class="row-fluid">
        <div class="span12">
            <table class="table table-striped table-hover">
                <tbody>
                <tr v-for="item in items">
                    <td class="folders-files">
                        <span class="folders-filetype">
                            {{item.f_type}}
                        </span>
                        <span class="icon icon-file"></span> 
                        <a :href=download(item.Id)>
                            <span>{{item.Title}}</span>
                        </a>
                    </td>
                    <td><a v-on:click="remove(item.Id)">
                        <i class="icon-trash icon"></i></a></td>
                </tr>
                </tbody>
            </table>
        </div>
    </div>
</div></div>

<script>
var vault = new Vue({
    el: '#vault_template',
    data: function() { return {
        items: <?php echo json_encode($this->userfiles);?>,
        user: <?php echo $this->item->u_id;?>,
        token: '<?php echo JSession::getFormToken();?>'
    }},
    methods: {
        download: function(id) {
            var url = 'index.php?option=com_jextranet&task=userfiles.download'
                + '&cid=' + id + '&id=' + this.user;
            return url;
        },
        remove: function(id) {
            var url='index.php?option=com_jextranet&task=userfiles.deleteAjax&'
                + this.token + '=1';
            var data = {
                'cid': id,
                'user': this.user,
            };
            var self = this;
            jQuery.post(url, data, function(msg){
                var response = JSON.parse(msg);
                if (!response.error){
                    var filtered = self.items.filter(function(el){
                        return el.Id != id;
                    });
                    self.items = filtered; 
                }
            });
        },
        uploadFinish: function() {
            var url='index.php?option=com_jextranet&task=userfiles.getItemsAjax&'
                + this.token + '=1';
            var data = {
                'user': this.user,
            };
            var self = this;
            jQuery.post(url, data, function(response){
                self.items = JSON.parse(response);
            });
        },
    },
});
</script>
