<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

// used to download selected files into an archive

class JExtranetViewFolders extends JViewLegacy
{

	public function display($tpl = null) {
		
		$mimetype		= 'application/zip';
		$content		= $this->get('ArchiveAll');
		
		// Check for errors.
		if (count($errors = $this->get('Errors'))) {
			JError::raiseError(500, implode("\n", $errors));
			return false;
		}

		
		clearstatcache();
	
		header("Pragma: public");
		header("Expires: 0");
		header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
		header("Cache-Control: public");
		header("Content-Description: File Transfer");
		header("Content-Type: " . $mimetype);
		header('Content-Disposition: attachment; filename="files.zip"');
		header("Content-Transfer-Encoding: binary\n");
		
		ob_clean();
		flush();
				
		echo $content;
		
		ob_flush();
		flush();  
		exit(0);
	}
	
	
}
?>
