<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');
$exclude = ( !is_array( $this->params->get('userMenuItemsRemoved', 0) ) ) ? array( 0 ) :  $this->params->get('userMenuItemsRemoved', 0);
?>

<div class="row-fluid page-header">
	<div class="span12">
		<div class="pull-left goto-wrapper span2">
			<i class="ico-home"></i> 
		</div>
		<div class="pull-left span10">
			<?php echo JText::_('COM_JEXTRANET_CLIENT_AREA');?>
			<span class="pull-right username"><i class="ico-user"></i> <?php echo JFactory::getUser()->get('name');?></span>
		</div>
	</div>
</div>
    
<div class="row-fluid jextranet">
	<div class="span12">
	
		<div class="span2 pull-left">
            <?php echo JExtranetMenu::getMenu ( 'home' ) ;?>
        </div>

		<div class="span10 pull-left">
		    <form action="<?php echo JRoute::_('index.php?option=com_jextranet'); ?>" method="post" name="adminForm" id="adminForm">

				<div class="row-fluid search-area">
					<div class="span12">
						<input type="text" name="jextranet-search" class="input-xlarge search-query pull-left" placeholder="<?php echo JText::_('COM_JEXTRANET_SEARCH_BY_CRITERIAS');?>" />
						<button class="btn btn-primary pull-left" onclick="JExtranetSubmitTask('jextranet.search');"><?php echo JText::_('COM_JEXTRANET_SEARCH');?> <i class="ico-magnifier"></i></button>
					 </div>
				</div>

				<?php if ( $this->firstPage ) {?>
				<div class="row-fluid">
					<div class="span12">
						<div class="first-page-message">
							<?php echo $this->firstPage; ?>
						</div>
					</div>
				</div>
				<?php } ?>
				
				<?php if ( $this->latest && $this->latestMess && !in_array( 2, $exclude) && $this->params->get('latestFilesAdded', 1) == 1  ) {
						echo $this->loadTemplate('messages_files_legacy');
					} elseif ( $this->latest && $this->params->get('latestFilesAdded', 1) == 1  ) { 
						echo $this->loadTemplate('files_legacy');
					} elseif ( $this->latestMess && !in_array( 2, $exclude) ) {
						echo $this->loadTemplate('messages_legacy');
					}	
				?>
				
				<?php if ( $this->params->get('lastLoginIP', 0) ) { ?>
				<div class="row-fluid last-accessed">
					<div class="span12">
						<h4><i class="ico-pointer "></i> <?php echo JText::_('COM_JEXTRANET_LOGIN_LAST_IP'); ?></h4>
						<p><?php echo $this->lastIP; ?></p>
					</div>
				</div>
				<?php } ?>
		
	
				<input type="hidden" name="task" value="" />
				<input type="hidden" name="boxchecked" value="0" />
				<?php echo JHtml::_('form.token'); ?>
			</form>
		</div>
	
	</div>
</div>



    



