<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

?>

<div class="row-fluid">
	<div class="span12">
		
		<?php if (!empty($this->latest)) { ?> 
		<div class="span6 lastest-files">

			<div class="row-fluid header">
				<div class="span12">
					<div class="pull-left goto-wrapper span2">
						<i class="ico-doc"></i> 
					</div>
					<div class="pull-left span10">
						<h4><?php echo JText::_('COM_JEXTRANET_LATEST_FILES');?></h4>
					</div>
				</div>
			</div>

			<?php foreach ($this->latest as $latest) {?>
			<div class="row-fluid item-row">
				<div class="span12">
					<div class="span10">
						<span><?php echo $this->escape($latest->f_title);?></span>
					</div>
					<div class="span2 goto-wrapper">
						<a href="<?php echo JRoute::_('index.php?option=com_jextranet&view=folders&fid=' . $latest->f_parent, false); ?>"><i class="ico-arrow-right"></i></a>
					</div>
				</div>
			</div>
			<?php } ?>
		</div>
		<?php } ?>

		<?php if ($this->latestMess) { ?> 
		<div class="span6 lastest-files">
			
			<div class="row-fluid header">
				<div class="span12">
					<div class="pull-left goto-wrapper span2">
						<i class="ico-speech"></i>
					</div>
					<div class="pull-left span10">
						<h4><?php echo JText::_('COM_JEXTRANET_LASTEST_MESSAGES');?></h4>
					</div>
				</div>
			</div>

			<?php foreach ($this->latestMess as $message) {?>
			<div class="row-fluid item-row">
				<div class="span12">
					<div class="span10">
						<span><a href="<?php echo JRoute::_('index.php?option=com_jextranet&view=message&layout=edit&id=' . $message->id, false); ?>"><?php echo $this->escape($message->subject);?></a></span>
					</div>
					<div class="span2 goto-wrapper">
						<a href="<?php echo JRoute::_('index.php?option=com_jextranet&view=message&layout=edit&id=' . $message->id, false); ?>"><i class="ico-eyeglasses"></i></a>
					</div>
				</div>
			</div>
			<?php } ?>

			<div class="item-footer">
				<div class="row-fluid">
					<div class="span12">
						<div class="span6 border-right"><a href="<?php echo JRoute::_('index.php?option=com_jextranet&view=messages', false);?>"><i class="ico-list"></i> <?php echo JText::_('COM_JEXTRANET_MESSAGES_RECEIVEDM');?></a></div>
						<div class="span6"><a href="javascript:void(0);" onclick="JExtranetSubmitTask('messages.compose');"><i class="ico-envelope-letter"></i> <?php echo JText::_('COM_JEXTRANET_MESSAGES_COMPOSE');?></a></div>
					</div>
				</div>
			</div>
		</div>
		<?php } ?>

	</div>
</div>



    



