<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');
?>

<div class="jextranet">
	<div class="pure-g">
	
		<div class="pure-u-1 pure-u-md-4-24 pure-u-sm-1 meniu">
            <?php echo JExtranetMenu::getMenu ('messages') ;?>
        </div>

        <div class="pure-u-1 pure-u-md-19-24 pure-u-sm-1 continut">

			<div class="pure-g jheader">
				<div class="pure-u-1 pure-u-md-2-24 pure-u-sm-1 jheader-left">
					<i class="ico-speech"></i> 
				</div>
				<div class="pure-u-1 pure-u-md-22-24 pure-u-sm-1 jheader-right">
					<?php echo JText::_('COM_JEXTRANET_MESSAGES');?>
					<span class="pull-right username"><i class="ico-user"></i> <?php echo JFactory::getUser()->get('name');?></span>
				</div>
			</div>


				<form action="<?php echo JRoute::_('index.php?option=com_jextranet&view=message'); ?>" method="post" name="adminForm" id="adminForm" class="pure-form pure-form-stacked">

				<?php if (!$this->message->id || $this->message->reply) { ?>
					 <fieldset>
						<legend><?php if (empty($message)) {echo JText::_('COM_JEXTRANET_MESSAGES_HELP'); } ?></legend>
						<p><i class="ico-bulb"></i> <?php echo JText::_('COM_JEXTRANET_MESSAGES_COMPOSE'); ?></p>
						<label class="control-label" for="message"><?php echo JText::_('COM_JEXTRANET_MESSAGES_SUBJECT');?></label>
						<input name="extranet_subject" type="text" id="message" class="input-large" value="<?php echo $this->message->m_subject;?>" />
						<label class="control-label" for="extranet_message"><?php echo JText::_('COM_JEXTRANET_MESSAGES_BODY');?></label>
						<textarea name="extranet_message" id="extranet_message" class="span12" rows="8"><?php echo $this->message->reply ? "\n\n\n----\n" . strip_tags($this->message->m_message) : '';?></textarea>
					</fieldset>
					<div class="pure-g text-center">
						<div class="pure-u-1">
							<button type="button" class="pure-button pure-button-primary" onclick="JExtranetSubmitTask('message.send');return false;"><i class="ico-cursor"></i> <?php echo JText::_('COM_JEXTRANET_MESSAGES_SEND');?></button>
							<a class="pure-button" href="<?php echo JRoute::_('index.php?option=com_jextranet&view=messages', false);?>"><i class="ico-action-undo"></i> <?php echo JText::_('COM_JEXTRANET_BACK_TO_MESSAGES');?></a>
						</div>
					</div>
				<?php } else { ?>
				<div class="pure-g">
					<div class="pure-u-1">
						<legend><?php if(!empty($this->message->m_subject)) { echo JText::_('COM_JEXTRANET_MESSAGES_SUBJECT') . ': ' . $this->escape($this->message->m_subject); }?></legend>
					</div>

					<div class="pure-u-1">
						<div class="panel">
							<?php if(!empty($this->message->m_message)) { echo nl2br($this->message->m_message); }?>
                            <p class="datetime"><i class="ico ico-calendar"></i> <?php echo $this->message->m_date_time;?></p>
						</div>
						<div class="clearfix"><p></p></div>
					</div>

					<div class="pure-u-1 text-center">
						<button type="button" class="pure-button" onclick="JExtranetSubmitTaskID('messages.compose', <?php echo $this->message->id;?>);">
							<i class="ico-action-undo"></i> <?php echo JText::_('COM_JEXTRANET_REPLY');?>
						</button>
						<a class="pure-button" href="<?php echo JRoute::_('index.php?option=com_jextranet&view=messages', false);?>"><i class="ico-arrow-left"></i> <?php echo JText::_('COM_JEXTRANET_BACK_TO_MESSAGES');?></a>
					</div>
				</div>
				<?php } ?>

				<input type="hidden" name="cid" id="cid" value="<?php echo $this->message->id;?>" />
				<input type="hidden" name="task" value="" />
				<input type="hidden" name="boxchecked" value="0" />
				<?php echo JHtml::_('form.token'); ?>
			</form>

		</div>
	</div>
</div>







