<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

jimport('joomla.filesystem.file');
jimport('joomla.client.helper');

class JExtranetControllerUserlogs extends JControllerForm {
	
	protected	$option 		= 'com_jextranet';
	protected 	$text_prefix	= 'COM_JEXTRANET_USERS';
	
	/*
	 * Method to remove filelogs
	 * 
	 */
	public function fdelete () {
		
		JRequest::checkToken() or jexit(JText::_('JINVALID_TOKEN'));
		JClientHelper::setCredentialsFromRequest('ftp');

		$id = JRequest::getVar('logid', '', '', 'int');
		
		$path = JPATH_COMPONENT_SITE . DIRECTORY_SEPARATOR . 'logs' . DIRECTORY_SEPARATOR . 'users' . DIRECTORY_SEPARATOR . $id.'.ini';
		
		if (JFile::exists($path)) {
			JFile::delete($path);
		}

		$this->setRedirect('index.php?option=com_jextranet&view=users');
	}
	
	
	
	
}

?>
