<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

class JExtranetViewAssets extends JViewLegacy
{

	protected $files;
	
	function display($tpl = null) {
		
		$this->files 	= $this->get('files');

		// Check for errors.
		if (count($errors = $this->get('Errors'))) {
			JError::raiseError(500, implode("\n", $errors));
			return false;
		}
		
		JHtml::_('behavior.framework', true);
		JHTML::_('stylesheet','administrator/components/com_jextranet/assets/css/default.css');
		
		parent::display($tpl);		
	}
	
}
?>
