<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
JHtml::_('behavior.keepalive');
?>
<script type="text/javascript">
	Joomla.submitbutton = function(task)
	{
		if (task == 'group.cancel' || document.formvalidator.isValid(document.id('group-form'))) {
			Joomla.submitform(task, document.getElementById('group-form'));
		} else {
			alert('<?php echo $this->escape(JText::_('JGLOBAL_VALIDATION_FORM_FAILED'));?>');
		}
	}
</script>

<form action="<?php echo JRoute::_('index.php?option=com_jextranet&view=group&layout=edit&g_id='.(int) $this->item->g_id); ?>"
    method="post" name="adminForm" id="group-form" class="form-validate">

	<div class="<?php echo $this->item->g_id ? 'span4' : 'span3';?>">
		<p class="text-center size64"><i class="icon icon-users"></i></p>
		
		<div class="folder-label">
            <h3 class="pull-left">
                <?php echo $this->item->g_id ?
                        $this->escape( $this->item->g_name ) :
                        JText::_('COM_JEXTRANET_ADD') ; ?></h3>
		</div>
	</div>
	<div class="span1"></div>
	<div class="<?php echo $this->item->g_id ? 'span6' : 'span7';?>">
		<ul class="nav nav-tabs">
            <li class="active"><a href="#general" data-toggle="tab">
                    <?php echo JText::_('COM_JEXTRANET_DETAILS') ; ?></a></li>
            <li><a href="#metadata" data-toggle="tab">
                    <?php echo JText::_('COM_JEXTRANET_PERMISSIONS');?></a></li>
		</ul>

		<div class="tab-content">
			<div class="tab-pane active" id="general">
				<div class="row-fluid">
					<div class="span6">
						<div class="control-group">
							<div class="control-label">
								<?php echo $this->form->getLabel('g_name'); ?>
							</div>
							<div class="controls">
								<?php echo $this->form->getInput('g_name'); ?>
							</div>
						</div>
					</div>
				</div>
			</div>  
            <div class="tab-pane" id="metadata">
                <?php if ($this->item->g_id) {?>
                <?php echo $this->loadTemplate('permissions');?>
                <?php } ?>
            </div>
		</div>
	</div>

	<?php echo $this->form->getInput('g_id');?>
	<input type="hidden" name="task" value="" />
	<?php echo JHtml::_('form.token'); ?>
</form>
