<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

class JExtranetViewMultiple extends JViewLegacy {
	
	protected $folder;
	
	public function display($tpl = null) {

		$this->folder = $this->get('Folder');

		$this->addToolbar();
		parent::display($tpl);
	}
	

	public function addToolbar() {	
		
		JHtml::stylesheet( 'administrator/components/com_jextranet/assets/css/default.css' );
		JHTML::_('script','administrator/components/com_jextranet/assets/js/mfupload.js');
		
		JToolBarHelper::title(   'J!Extranet :: ' . JText::_( 'COM_JEXTRANET_FILES_ADD_MULTIPLE' ), 'multiple' );	
		
		JToolBarHelper::cancel('multiple.cancel', 'JTOOLBAR_CLOSE');
	}
	
}
?>
