<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

class JExtranetControllerBookmarks extends JControllerLegacy {
	
	protected	$option 		= 'com_jextranet';
	protected 	$text_prefix	= 'COM_JEXTRANET_BOOKMARKS';
	
	public function getModel($name = 'Bookmarks', $prefix = 'JExtranetModel', $config = array('ignore_request' => true)) {
		$model = parent::getModel($name, $prefix, $config);
		return $model;
	}

	
	public function remove() {
	
		JRequest::checkToken('request') or jexit(JText::_('JINVALID_TOKEN'));
		
		$model = $this->getModel();
		$model->remove();
		$this->setRedirect( JRoute::_('index.php?option=com_jextranet&view=bookmarks',false), JText::_('COM_JEXTRANET_BOOKMARKS_REMOVED'),'message');
		return true;
	}
	
	
	
}

?>
