<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

class JExtranetControllerJExtranet extends JControllerLegacy {
	
	protected	$option 		= 'com_jextranet';

	public function getModel($name = 'Jextranet', $prefix = 'JExtranetModel', $config = array('ignore_request' => true)) {
		$model = parent::getModel($name, $prefix, $config);
		return $model;
	}
	
	public function search () {
		JRequest::checkToken('request') or jexit(JText::_('JINVALID_TOKEN'));
		
		$tosearch = JFilterInput::getInstance()->clean( JRequest::getVar('jextranet-search',null,'', 'string'), 'string' );
		
		JFactory::getApplication()->setUserState('com_jextranet.search',$tosearch); 
		$this->setRedirect( JRoute::_('index.php?option=com_jextranet&view=search') );
		return;
	} 


	public function logout () {

		JSession::checkToken('request') or jexit(JText::_('JInvalid_Token'));

		$app = JFactory::getApplication();
		$error = $app->logout();

		$this->setRedirect( JRoute::_('index.php?option=com_jextranet&view=login') );
	}


}

?>
