<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

class JExtranetControllerMessage extends JControllerLegacy {
	
	protected	$option 		= 'com_jextranet';
	protected 	$text_prefix	= 'COM_JEXTRANET_MESSAGES';
	
	public function getModel($name = 'Message', $prefix = 'JExtranetModel', $config = array('ignore_request' => true)) {
		$model = parent::getModel($name, $prefix, $config);
		return $model;
	}


	public function send () {

		JRequest::checkToken('request') or jexit(JText::_('JINVALID_TOKEN'));
		$filter = JFilterInput::getInstance();
        $message = new stdclass;

        $message->m_user_id_from = JFactory::getUser()->id;
        $message->m_user_id_to = 1;
        $message->m_date_time = JExtranetHelper::getSystem()->getDateToMySQL();
        $message->published = 1;
        $message->m_subject =
            $filter->clean(JRequest::getVar('extranet_subject','',''), 'string');
        $message->m_message =
            $filter->clean(JRequest::getVar('extranet_message','',''), 'string');

		if ((empty($message->m_subject)) || (empty($message->m_message))) {
            $this->setRedirect(
                JRoute::_('index.php?option=com_jextranet&view=message&id=0', false),
                JText::_('COM_JEXTRANET_MESSAGES_REQUIRED'), 'warning');
			return false;
		}

		$model = $this->getModel();
		$result = $model->send($message);

        if ($result) {
            $model->forward($message);
            $model->email($message);
        }

        $this->setRedirect(
            JRoute::_('index.php?option=com_jextranet&view=messages', false),
            JText::_('COM_JEXTRANET_MESSAGES_SENT'), 'message');
		return true;
	}
}
