<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Copyright (C) 2011 Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');
jimport('joomla.utilities.date');

class JExtranetHelper
{

	protected $_db;
	protected static $system;

	
	public function __construct () {
		$this->_db = JFactory::getDbo();
	}
	

	public static function getSystem () {
		
		require_once ( JPATH_COMPONENT . DIRECTORY_SEPARATOR . 'helpers' . DIRECTORY_SEPARATOR . 'jextranet.system.php' );
		
		if (!isset( self::$system )) {
			 self::$system = new JExtranetHelperSystem ();
		}
		return self::$system;
	}


	public static function getFolder ( $id ) {
		
		require_once ( JPATH_COMPONENT . DIRECTORY_SEPARATOR . 'helpers' . DIRECTORY_SEPARATOR . 'jextranet.folders.php' );
		
		$folder = JExtranetHelperFolder::getInstance( $id );
		return $folder ;
	}


	public static function getUser($user) {
		
		require_once ( JPATH_COMPONENT . DIRECTORY_SEPARATOR . 'helpers' . DIRECTORY_SEPARATOR . 'jextranet.user.php' );
		
		$myuser = new JExtranetHelperUser($user);
		return $myuser;
	}

	
}
