<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

?>

<div class="jextranet">
	<div class="pure-g">
	
		<div class="pure-u-1 pure-u-md-4-24 pure-u-sm-1 meniu">
            <?php echo JExtranetMenu::getMenu ('bookmarks') ;?>
        </div>

		<div class="pure-u-1 pure-u-md-19-24 pure-u-sm-1 continut">

			<div class="pure-g jheader">
				<div class="pure-u-1 pure-u-md-2-24 pure-u-sm-1 jheader-left">
					<i class="ico-pin"></i> 
				</div>
				<div class="pure-u-1 pure-u-md-22-24 pure-u-sm-1 jheader-right">
					<?php echo JText::_('COM_JEXTRANET_BOOKMARKS');?>
					<span class="pull-right username"><i class="ico-user"></i> <?php echo JFactory::getUser()->get('name');?></span>
				</div>
			</div>

			<div class="clearfix"></div>

		   <form class="pure-form pure-form-stacked" action="<?php echo JRoute::_('index.php?option=com_jextranet&view=bookmarks'); ?>" method="post" name="adminForm" id="adminForm">

		   		<div class="pure-g">
		   			<div class="pure-u-1 text-center">
						<button class="pure-button" onclick="JExtranetSubmitTask('bookmarks.remove');">
							<i class="ico-trash"></i> <?php echo JText::_('COM_JEXTRANET_BOOKMARKS_REMOVE_ALL');?>
						</button>
		   			</div>
		   		</div>

		   		<div class="clearfix"></div>

		   		<?php $k=0; if (!empty($this->bookmarks)) {
				        foreach ($this->bookmarks as $i => $file) { ?>
				<div class="pure-g pcontent <?php echo 'line' . $k%2;?>">
					<div class="pure-u-1">
				    	<div class="pure-g">
							<div class="pure-u-3-24">
				    			<span class="pure-menu-heading"><i class="ico-doc jicon"></i></span> 
				    		</div>
						    <div class="pure-u-10-24 pure-menu-heading title">
						    	<a href="javascript:void(0);" onclick="JExtranetDownloadThis('<?php echo $file->f_id;?>');">
									<?php echo $this->escape( $file->f_title ); ?>
								</a>
						    </div>
						    <div class="pure-u-4-24 pure-menu-heading">
						    	<?php echo JExtranetHelper::getSystem()->parseSize($file->f_size); ?>
						    </div>
						</div>
					</div>
				</div>
				<?php $k++; } } else { ?>
				<div class="pure-g">
					<div class="pure-u-1">
						<p class="small"><?php echo JText::_('COM_JEXTRANET_NO_BOOKMARKS');?></p>
					</div>
				</div>
				<?php } ?>
		


				<input type="hidden" name="cid" id="cid" value="" />
				<input type="hidden" name="task" value="" />
				<input type="hidden" name="boxchecked" value="0" />
				<?php echo JHtml::_('form.token'); ?>
			</form>
		</div>
	</div>
</div>

