<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');
?>

<div class="jextranet">
	<div class="pure-g">
	
		<div class="pure-u-1 pure-u-md-4-24 pure-u-sm-1 meniu">
            <?php echo JExtranetMenu::getMenu ('messages') ;?>
        </div>

        <div class="pure-u-1 pure-u-md-19-24 pure-u-sm-1 continut">

			<div class="pure-g jheader">
				<div class="pure-u-1 pure-u-md-2-24 pure-u-sm-1 jheader-left">
					<i class="ico-speech"></i> 
				</div>
				<div class="pure-u-1 pure-u-md-22-24 pure-u-sm-1 jheader-right">
					<?php echo JText::_('COM_JEXTRANET_MESSAGES');?>
					<span class="pull-right username"><i class="ico-user"></i> <?php echo JFactory::getUser()->get('name');?></span>
				</div>
			</div>

			<form action="<?php echo JRoute::_('index.php?option=com_jextranet&view=messages'); ?>" method="post" name="adminForm" id="adminForm">
           		
           		<div class="clearfix"></div>

           		<div class="pure-g text-center">
           			<div class="pure-u-1">
           				<button type="button" class="pure-button pure-button-primary" onclick="JExtranetSubmitTask('messages.compose');">
           					<i class="ico-pencil"></i> <?php echo JText::_('COM_JEXTRANET_MESSAGES_COMPOSE');?>
           				</button>
           				<button type="button" class="pure-button" onclick="JExtranetSubmitTask('messages.delete');">
           					<i class="ico-trash"></i> <?php echo JText::_('COM_JEXTRANET_MESSAGES_DELETE_SELECTED');?>
           				</button>
           			</div>
           		</div>

           		<div class="clearfix"></div>

				<?php $k=0; if (!empty($this->items)) {
				        foreach ($this->items as $item) { ?>
				<div class="pure-g pcontent <?php echo 'line' . $k%2;?>">
					<div class="pure-u-1 line">
				    	<div class="pure-g">
				    		<div class="pure-u-2-24 pure-u-md-2-24">
				    			<input type="checkbox" id="cid<?php echo $item->m_id; ?>" name="cid[]" value="<?php echo $item->m_id; ?>" />
				    		</div>
							<div class="pure-u-10-24 pure-u-md-15-24">
				    			<a href="<?php echo JRoute::_('index.php?option=com_jextranet&view=message&layout=edit&id=' . $item->m_id, false ); ?>"><?php echo $this->escape($item->m_subject); ?></a>
				    		</div>
				    		<div class="pure-u-8-24 pure-u-md-4-24">
				    			<?php echo $item->m_user_id_to == 1 ? JText::_('COM_JEXTRANET_MESSAGES_SENTM') : JText::_('COM_JEXTRANET_MESSAGES_RECEIVEDM');  ?>
				    		</div>
						    <div class="pure-u-2-24 pure-u-md-2-24">
						    	<a href="<?php echo JRoute::_('index.php?option=com_jextranet&view=message&layout=edit&id=' . $item->m_id, false); ?>"><i class="ico-eyeglasses"></i></a>
						    </div>
						</div>
					</div>
				</div>
				<?php $k++; } } else { ?>
					<div class="pure-g">
						<div class="pure-u-1">
							<p class="small"><?php echo JText::_('COM_JEXTRANET_NO_MESSAGES') ;?></p>
						</div>
					</div>
				<?php } ?>

				<input type="hidden" name="task" value="" />
				<input type="hidden" name="boxchecked" value="0" />
				<?php echo JHtml::_('form.token'); ?>
			</form>

		</div>
	</div>
</div>