<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');
 
class JExtranetViewSearch extends JViewLegacy
{
	protected $folders;
	protected $files;
	protected $messages;
	protected $user;
    protected $location_of_js;
    protected $params;

	function display($tpl = null) {
		
		$this->folders 	= $this->get('Folders');
		$this->files	= $this->get('Files');
		$this->messages	= $this->get('Messages');
		$this->user		= JExtranetHelperUser::getInstance();
        $this->params   = JComponentHelper::getParams('com_jextranet');
        $this->location_of_js = $this->params->get('location_of_js',
            'components/com_jextranet/assets/js/');
		
		// Check for errors.
		if (count($errors = $this->get('Errors'))) {
			JError::raiseError(500, implode("\n", $errors));
			return false;
		}
		
		JHTML::script($this->location_of_js . 'functions.js');

		$tpl = $this->params->get('template') == 1 ? 'legacy' : 'default';
		parent::display($tpl);
	}
}
