<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

if(!( $uparams = $this->user->getParams() )) {  $uparams = new stdClass(); }
$uparams->allowUserUploadOwnFolder = isset($uparams->allowUserUploadOwnFolder) ? $uparams->allowUserUploadOwnFolder : 0;
?>


<script type="text/javascript" src="<?php echo $this->location_of_js;?>functions.js"></script>

<div class="jextranet">
	<div class="pure-g">
		<div class="pure-u-1 pure-u-md-4-24 pure-u-sm-1 meniu">
            <?php echo JExtranetMenu::getMenu ('userfiles') ;?>
        </div>

		<div class="pure-u-1 pure-u-md-19-24 pure-u-sm-1 continut">
			<div class="pure-g jheader">
				<div class="pure-u-1 pure-u-md-2-24 pure-u-sm-1 jheader-left">
					<i class="ico-cloud-upload"></i> 
				</div>
				<div class="pure-u-1 pure-u-md-22-24 pure-u-sm-1 jheader-right">
					<?php echo JText::_('COM_JEXTRANET_USERFOLDERS');?>
					<span class="pull-right username"><i class="ico-user"></i> <?php echo JFactory::getUser()->get('name');?></span>
				</div>
			</div>

			<form name="adminForm" id="adminForm" action="<?php echo JRoute::_('index.php?option=com_jextranet&view=userfiles',false ); ?>" method="post">
				<div class="clearfix"></div>

				<div class="pure-g">
					<div class="pure-u-1 text-center">
						<?php if (( $this->params->get('allowUserUploadOwnFolder', 0) == 1 && $uparams->allowUserUploadOwnFolder == 0 ) || $uparams->allowUserUploadOwnFolder == 1) { ?>
							<button class="pure-button pure-button-primary" onclick="toggleUploader();return false;">
								<i class="ico-cloud-upload"></i> <?php echo JText::_('COM_JEXTRANET_FOLDERS_ADD_FILES');?>
							</button>
						<?php } ?>
                        <?php if ($this->params->get('allowUserDeleteVaultFiles',0) == 1) {?>
						<button class="pure-button" onclick="JExtranetSubmitTask('userfiles.remove');">
							<i class="ico-trash"></i> <?php echo JText::_('COM_JEXTRANET_USERFILES_REMOVE');?>
						</button>
						<button class="pure-button" onclick="JExtranetToggleAllFiles();JExtranetSubmitTask('userfiles.remove');">
							<i class="ico-trash"></i> <?php echo JText::_('COM_JEXTRANET_DELETE_ALL');?>
						</button>
                        <?php } ?>
					</div>
				</div>

				<div class="clearfix"></div>

                <?php if (($this->params->get('allowUserUploadOwnFolder', 0) == 1
                            && $uparams->allowUserUploadOwnFolder == 0)
                            || $uparams->allowUserUploadOwnFolder == 1) {?>
					<div class="pure-g">
						<div class="pure-u-1" id="uf1" style="display: none;">
							<input type="file" name="afile" id="afile" style="display:none;" multiple="multiple" />
							<div class="inner-upload center" id="uploadarea">
								<h6><i class="ionut ionut-cloud-upload"></i> <?php echo JText::_('COM_JEXTRANET_MULTI_UPLOAD_DROP_HERE');?></h6>
								<span><?php echo JText::_('COM_JEXTRANET_MULTI_UPLOAD_DRAG_FILE') . '. ' . JText::_('COM_JEXTRANET_FILE_UPLOAD_ALLOWED') . $this->allowed;?></span>
								<div class="progress" style="width:0%;"><div class="meter"></div></div>
							</div>
						</div>
					</div>
				<?php } ?>

				<?php $k=0; if (!empty($this->items)) {
				        foreach ($this->items as $i => $file) { ?>
				<div class="pure-g pcontent <?php echo 'line' . $k%2;?>">
					<div class="pure-u-1">
				    	<div class="pure-g pure-menu-heading">
				    		<div class="pure-u-2-24 ">
				    			<input class="zips" type="checkbox" name="cids[]" id="cid<?php echo $i;?>" value="<?php echo $file->f_id;?>" />
				    		</div>
							<div class="pure-u-16-24 title">
				    			<i class="ico-doc jicon"></i> <a href="javascript:JExtranetUserfileDownloadThis('<?php echo $file->f_id;?>');"><?php echo $this->escape($file->f_title); ?></a>
				    		</div>
						    <div class="pure-u-4-24">
						    	<span class="size pull-right"><?php echo JExtranetHelper::getSystem()->parseSize($file->f_size); ?></span>
						    </div>
						</div>
					</div>
				</div>
				<?php $k++; } ?>
				<div class="pure-g">
					<div class="pure-u-1">
						<p class="small"><?php echo $this->pagination->getListFooter();?></p>
					</div>
				</div> 
				<?php } else { ?>
				<div class="pure-g">
					<div class="pure-u-1">
						<p class="small"><?php echo JText::_('COM_JEXTRANET_NO_FILES_VAULT');?></p>
					</div>
				</div>
				<?php } ?>
	
				<input type="hidden" name="cid" id="cid" value="" />
				<input type="hidden" name="task" value="" />
				<input type="hidden" name="boxchecked" value="0" />
				<?php echo JHtml::_('form.token'); ?>
			</form>
		</div>
	</div>
</div>


<?php if (($this->params->get('allowUserUploadOwnFolder', 0) == 1
            && $uparams->allowUserUploadOwnFolder == 0)
            || $uparams->allowUserUploadOwnFolder == 1) {?>
<script type="text/javascript">
	var dropZone = document.getElementById('uploadarea');
	var uf1 = document.getElementById('uf1');
	var if1 = document.getElementById('afile');

	uf1.addEventListener('mouseover', function(e) {
		uf1.style.border = '2px dashed #000';
	});

	uf1.addEventListener('mouseout', function(e) {
		uf1.style.border = '2px dashed #ddd';
	});

	dropZone.addEventListener('dragover', function(e) {
		if (e.preventDefault) e.preventDefault(); 
		if (e.stopPropagation) e.stopPropagation();
		uf1.style.border = '2px dashed #000';
	});


	dropZone.addEventListener('dragenter', function(e) {
		uf1.style.border = '2px dashed #000';
	});

	// Event Listener for when the dragged file leaves the drop zone.
	dropZone.addEventListener('dragleave', function(e) {
		uf1.style.border = '2px dashed #ddd';
	});

	dropZone.addEventListener('drop', function(e){
		if (e.preventDefault) e.preventDefault(); 
		if (e.stopPropagation) e.stopPropagation();

		var fileList = e.dataTransfer.files;

		if (fileList.length > 0) {
			uploadFiles(fileList);
		}
	});


	dropZone.addEventListener('click', function(e) {
		if1.click();
	});

	if1.addEventListener('change', function(e){
		uploadFiles(e.target.files);
	});


	function uploadFiles(myfiles)
	{
  		var xhr = new XMLHttpRequest();
  		var fd = new FormData();
  		var url = '<?php echo JUri::root() . 'index.php?option=com_jextranet&task=file.upload&' . JSession::getFormToken() . '=1&folder=0'; ?>';

  		xhr.open('POST', url, true);

  		for (var i=0; i<myfiles.length; i++)
		{
			fd.append('mf_file_upload[]', myfiles[i]);

			document.querySelector('.progress').style.width = '0%';

			xhr.upload.onprogress = function(e) {
				if (e.lengthComputable) {
					var percentComplete = (e.loaded / e.total) * 100;
					document.querySelector('.progress').style.width = percentComplete+'%';
				}
			};

			xhr.onload = function() {
				if (this.status == 200) {
					var resp = JSON.parse(this.response);
					redirectUser();
				}
			};
		}

		xhr.send(fd);
	}

	function redirectUser() {
		document.location.href = '<?php echo JRoute::_('index.php?option=com_jextranet&view=userfiles', false); ?>';
	}
</script>
<?php } ?>
