<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

class JExtranetViewUserfiles extends JViewLegacy
{
	protected $items;
	protected $pagination;
	protected $window;
	protected $params;
	protected $user;
	protected $allowed;
    protected $location_of_js;
	
	function display($tpl = null) {
	
		$this->items			= $this->get('Items');
		$this->pagination		= $this->get('Pagination');
		$this->params			= JComponentHelper::getParams('com_jextranet');
		$this->window 			= new JObject();
		$this->window->width 	= $this->params->get('lightBoxWidth', 500);
		$this->window->height 	= $this->params->get('lightBoxHeight', 250);
		$this->user				= JExtranetHelperUser::getInstance();
		$this->allowed			= str_replace( ',', ', ', $this->params->get('allowedExtensions','doc,docx,xls,xlsx,ppt,pps,pptx,ppsx,odt,odf,odp,jpg,jpeg,pdf,txt,png,zip') );
        $this->location_of_js = $this->params->get('location_of_js',
            'components/com_jextranet/assets/js/');
		
		// Check for errors.
		if (count($errors = $this->get('Errors'))) {
			JError::raiseError(500, implode("\n", $errors));
			return false;
		}

		$tpl = JComponentHelper::getParams('com_jextranet')->get('template') == 1 ? 'legacy' : 'default';
		parent::display($tpl);
		
	}
}
