<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

class JExtranetViewUserfiles extends JViewLegacy
{

	public function display($tpl = null) {
	
		$file		= $this->get('File');

		if (isset($file->type)) {

			JResponse::setHeader('Pragma', 'public', true);
			JResponse::setHeader('Expires', '0', true );
			JResponse::setHeader('Cache-Control','must-revalidate, post-check=0, pre-check=0', true);
			JResponse::setHeader('Cache-Control','public', true);
			JResponse::setHeader('Content-Description','File Transfer', true);
			JResponse::setHeader('Content-Type', $file->type, true);
			JResponse::setHeader('Content-Length', (string) $file->size, true );
			JResponse::setHeader('Content-disposition', 'attachment; filename="'.$file->name.'"; creation-date="'.JFactory::getDate()->toRFC822().'"', true);
			JResponse::setHeader('Content-Transfer-Encoding',"binary\n", true);
			JResponse::sendHeaders();

			ob_clean();
			flush();
			echo $file->content;
			ob_flush();
			flush(); 
			exit(0);
		}
	}
	
	
}
?>
